{% load static %}
{% load bootstrap5 %}
<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>{% block title %}Multi Auth by Mixxxxer{% endblock title %}</title>

    <!-- Favicons -->
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'favicon/favicon-16x16.png' %}" />
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'favicon/favicon-32x32.png' %}" />
    <link rel="icon" type="image/png" sizes="192x192" href="{% static 'favicon/apple-touch-icon.png' %}" />

    <!--  Jquery -->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- Font Awesome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet"/>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet"/>

    <!-- MDB -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/4.0.0/mdb.min.css" rel="stylesheet"/>

    <!-- Project css -->
    <link rel="stylesheet" href="{% static 'css/base.css' %}">

    {% block css %}{% endblock css %}

</head>

<body>

<nav class="navbar navbar-dark bg-primary">
    <div class="navbar-header">
          <a class="navbar-brand" href="{% url 'auth:index' %}">
              <img class="custom-logo" src="{% static 'img/logo.png' %}">
              MultiAuth by&nbsp;<b>Mixxxxer</b>
          </a>
    </div>

    {% if request.user.is_authenticated %}
            <div class="dropdown">
                <button class="btn btn-success dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                    {{ request.user.username }}
                </button>
                <ul class="dropdown-menu">
                    <li>
                        {% url 'auth:profile' pk=user.pk as profile_url %}
                        {% bootstrap_button content='Profile' button_class='btn-warning' href=profile_url %}
                    </li>
                    <li>
                        {% url 'auth:logout' as logout_url %}
                        {% bootstrap_button content='Logout' button_class='btn-warning' href=logout_url %}
                    </li>
                </ul>
            </div>
    {% else %}
        <div class="btn-group">
            {% url 'auth:index' as index_url %}
            {% bootstrap_button content='Auth' button_class='btn-success' href=index_url %}
            {% url 'auth:registration' as registation_url %}
            {% bootstrap_button content='Registration' button_class='btn-success' href=registation_url %}
        </div>
    {% endif %}

</nav>

{% if messages %}
    {% bootstrap_messages messages %}
{% endif %}

<div class="container" role="main">
    {% block content %}
    {% endblock content %}
</div>

<!-- JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/4.0.0/mdb.min.js"></script>
{% block js %}{% endblock js %}

</body>

</html>
